Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Interface QtJambiInterface

All Known Subinterfaces:
  QGraphicsItemInterface, QLayoutItemInterface, QPaintDeviceInterface, QXmlContentHandlerInterface, QXmlDeclHandlerInterface, QXmlDTDHandlerInterface, QXmlEntityResolverInterface, QXmlErrorHandlerInterface, QXmlLexicalHandlerInterface

All Known Implementing Classes:
  QAbstractButton, QAbstractEventDispatcher, QAbstractFileEngine, QAbstractFileEngineHandler, QAbstractFileEngineIterator, QAbstractGraphicsShapeItem, QAbstractItemDelegate, QAbstractItemModel, QAbstractItemView, QAbstractListModel, QAbstractPageSetupDialog, QAbstractPrintDialog, QAbstractProxyModel, QAbstractScrollArea, QAbstractSlider, QAbstractSocket, QAbstractSpinBox, QAbstractTableModel, QAbstractTextDocumentLayout, QAbstractTextDocumentLayout_PaintContext, QAbstractTextDocumentLayout_Selection, QAccessible, QAccessible2Interface, QAccessibleBridge, QAccessibleEvent, QAccessibleInterface, QAccessibleInterfaceEx, QAccessibleObject, QAccessibleObjectEx, QAccessibleTableInterface, QAccessibleWidget, QAccessibleWidgetEx, QAction, QActionEvent, QActionGroup, QApplication, QAuthenticator, QBasicTimer, QBitArray, QBitmap, QBoxLayout, QBrush, QBuffer, QButtonGroup, QByteArray, QByteArrayMatcher, QCalendarWidget, QCDEStyle, QCheckBox, QChildEvent, QClassPathFileEngineHandler, QCleanlooksStyle, QClipboard, QClipboardEvent, QCloseEvent, QColor, QColorDialog, QColormap, QColumnView, QComboBox, QCommonStyle, QCompleter, QConicalGradient, QContextMenuEvent, QCoreApplication, QCryptographicHash, QCursor, QDataStream, QDataWidgetMapper, QDate, QDateEdit, QDateTime, QDateTimeEdit, QDesktopServices, QDesktopWidget, QDial, QDialog, QDialogButtonBox, QDir, QDirIterator, QDirModel, QDockWidget, QDomAttr, QDomCDATASection, QDomCharacterData, QDomComment, QDomDocument, QDomDocumentFragment, QDomDocumentType, QDomElement, QDomEntity, QDomEntityReference, QDomImplementation, QDomNamedNodeMap, QDomNode, QDomNodeList, QDomNotation, QDomProcessingInstruction, QDomText, QDoubleSpinBox, QDoubleValidator, QDrag, QDragEnterEvent, QDragLeaveEvent, QDragMoveEvent, QDragResponseEvent, QDropEvent, QDynamicPropertyChangeEvent, QErrorMessage, QEvent, QEventLoop, QFile, QFileDialog, QFileIconProvider, QFileInfo, QFileOpenEvent, QFileSystemWatcher, QFocusEvent, QFocusFrame, QFont, QFontComboBox, QFontDatabase, QFontDialog, QFontInfo, QFontMetrics, QFontMetricsF, QFrame, QFSFileEngine, QFtp, QGLColormap, QGLContext, QGLFormat, QGLFramebufferObject, QGLPixelBuffer, QGLWidget, QGradient, QGraphicsEllipseItem, QGraphicsItem, QGraphicsItemAnimation, QGraphicsItemGroup, QGraphicsLineItem, QGraphicsPathItem, QGraphicsPixmapItem, QGraphicsPolygonItem, QGraphicsRectItem, QGraphicsScene, QGraphicsSceneContextMenuEvent, QGraphicsSceneDragDropEvent, QGraphicsSceneEvent, QGraphicsSceneHelpEvent, QGraphicsSceneHoverEvent, QGraphicsSceneMouseEvent, QGraphicsSceneWheelEvent, QGraphicsSimpleTextItem, QGraphicsSvgItem, QGraphicsTextItem, QGraphicsView, QGridLayout, QGroupBox, QGuiSignalMapper, QHBoxLayout, QHeaderView, QHelpEvent, QHideEvent, QHostAddress, QHostInfo, QHoverEvent, QHttp, QHttpHeader, QHttpRequestHeader, QHttpResponseHeader, QIcon, QIconDragEvent, QIconEngine, QIconEngineV2, QImage, QImageIOHandler, QImageReader, QImageWriter, QInputContext, QInputContextFactory, QInputDialog, QInputEvent, QInputMethodEvent, QInputMethodEvent_Attribute, QIntValidator, QIODevice, QIPv6Address, QItemDelegate, QItemEditorCreatorBase, QItemEditorFactory, QItemSelection, QItemSelectionModel, QItemSelectionRange, QKeyEvent, QKeySequence, QLabel, QLayout, QLayoutItem, QLCDNumber, QLibraryInfo, QLine, QLinearGradient, QLineEdit, QLineF, QListView, QListWidget, QListWidgetItem, QLocale, QMainWindow, QMatrix, QMdiArea, QMdiSubWindow, QMenu, QMenuBar, QMessageBox, QMimeData, QMotifStyle, QMouseEvent, QMoveEvent, QMovie, QMutex, QNetworkAddressEntry, QNetworkInterface, QNetworkProxy, QObject, QPageSetupDialog, QPaintDevice, QPaintEngine, QPaintEngineState, QPainter, QPainterPath, QPainterPath_Element, QPainterPathStroker, QPaintEvent, QPalette, QPen, QPersistentModelIndex, QPicture, QPictureIO, QPixmap, QPixmapCache, QPlastiqueStyle, QPoint, QPointF, QPolygon, QPolygonF, QPrintDialog, QPrintEngine, QPrinter, QProcess, QProgressBar, QProgressDialog, QProxyModel, QPushButton, QRadialGradient, QRadioButton, QReadWriteLock, QRect, QRectF, QRegExp, QRegExpValidator, QRegion, QResizeEvent, QRubberBand, QScrollArea, QScrollBar, QSemaphore, QSessionManager, QSettings, QShortcut, QShortcutEvent, QShowEvent, QSignalMapper, QSize, QSizeF, QSizeGrip, QSizePolicy, QSlider, QSocketNotifier, QSortFilterProxyModel, QSound, QSpacerItem, QSpinBox, QSplashScreen, QSplitter, QSplitterHandle, QSqlDatabase, QSqlDriver, QSqlDriverCreatorBase, QSqlError, QSqlField, QSqlIndex, QSqlQuery, QSqlQueryModel, QSqlRecord, QSqlRelation, QSqlRelationalTableModel, QSqlResult, QSqlTableModel, QStackedLayout, QStackedWidget, QStandardItem, QStandardItemModel, QStatusBar, QStatusTipEvent, QStringListModel, QStringMatcher, QStyle, QStyleFactory, QStyleHintReturn, QStyleHintReturnMask, QStyleHintReturnVariant, QStyleOption, QStyleOptionButton, QStyleOptionComboBox, QStyleOptionComplex, QStyleOptionDockWidget, QStyleOptionDockWidgetV2, QStyleOptionFocusRect, QStyleOptionFrame, QStyleOptionFrameV2, QStyleOptionGraphicsItem, QStyleOptionGroupBox, QStyleOptionHeader, QStyleOptionMenuItem, QStyleOptionProgressBar, QStyleOptionProgressBarV2, QStyleOptionRubberBand, QStyleOptionSizeGrip, QStyleOptionSlider, QStyleOptionSpinBox, QStyleOptionTab, QStyleOptionTabBarBase, QStyleOptionTabV2, QStyleOptionTabWidgetFrame, QStyleOptionTitleBar, QStyleOptionToolBar, QStyleOptionToolBox, QStyleOptionToolBoxV2, QStyleOptionToolButton, QStyleOptionViewItem, QStyleOptionViewItemV2, QStyleOptionViewItemV3, QStylePainter, QSvgRenderer, QSvgWidget, QSyntaxHighlighter, QSystemLocale, QSystemTrayIcon, QTabBar, QTabletEvent, QTableView, QTableWidget, QTableWidgetItem, QTableWidgetSelectionRange, QTabWidget, QTcpServer, QTcpSocket, QTemporaryFile, QTextBlock, QTextBlock_iterator, QTextBlockFormat, QTextBlockGroup, QTextBlockUserData, QTextBrowser, QTextCharFormat, QTextCodec, QTextCodec_ConverterState, QTextCursor, QTextDecoder, QTextDocument, QTextDocumentFragment, QTextEdit, QTextEdit_ExtraSelection, QTextEncoder, QTextFormat, QTextFragment, QTextFrame, QTextFrame_iterator, QTextFrameFormat, QTextImageFormat, QTextInlineObject, QTextItem, QTextLayout, QTextLayout_FormatRange, QTextLength, QTextLine, QTextList, QTextListFormat, QTextObject, QTextObjectInterface, QTextOption, QTextStream, QTextTable, QTextTableCell, QTextTableFormat, QTime, QTimeEdit, QTimeLine, QTimer, QTimerEvent, QtJambiObject, QToolBar, QToolBarChangeEvent, QToolBox, QToolButton, QToolTip, QTransform, QTranslator, QTreeModel, QTreeView, QTreeWidget, QTreeWidgetItem, QTreeWidgetItemIterator, QUdpSocket, QUndoCommand, QUndoGroup, QUndoStack, QUndoView, QUrl, QUrlInfo, QUuid, QValidator, QVariant, QVBoxLayout, QWaitCondition, QWhatsThis, QWhatsThisClickedEvent, QWheelEvent, QWidget, QWidgetAction, QWidgetItem, QWindowsStyle, QWindowStateChangeEvent, QWizard, QWizardPage, QWorkspace, QXmlAttributes, QXmlContentHandler, QXmlDeclHandler, QXmlDefaultHandler, QXmlDTDHandler, QXmlEntityResolver, QXmlErrorHandler, QXmlInputSource, QXmlLexicalHandler, QXmlLocator, QXmlNamespaceSupport, QXmlParseException, QXmlReader, QXmlSimpleReader, QXmlStreamAttribute, QXmlStreamAttributes, QXmlStreamEntityDeclaration, QXmlStreamNamespaceDeclaration, QXmlStreamNotationDeclaration, QXmlStreamReader, QXmlStreamWriter

    public interface QtJambiInterface

The super interface of all interface types in Qt Jambi.

Method Summary
`void` | `disableGarbageCollection()` Disables garbage collection for the object that implements the interface.
`long` | `nativeId()` Function that returns a unique identifier for a Qt Jambi object.
`QNativePointer` | `nativePointer()` Returns the native pointer (i.e., memory address) of the native c++ object this Java object wrapper.
`void` | `reenableGarbageCollection()` Enables garbage collection for the object.
`void` | `setJavaOwnership()` Specifies that the object is owned by Java and not the native c++ libraries.

Method Detail

### nativeId

    long nativeId()

  Function that returns a unique identifier for a Qt Jambi object.

  Returns:
    A value which uniquely identifies the native resources held by an object in their life time.

### disableGarbageCollection

    void disableGarbageCollection()

  Disables garbage collection for the object that implements the interface.

### setJavaOwnership

    void setJavaOwnership()

  Specifies that the object is owned by Java and not the native c++ libraries.

### reenableGarbageCollection

    void reenableGarbageCollection()

  Enables garbage collection for the object.

### nativePointer

    QNativePointer nativePointer()

  Returns the native pointer (i.e., memory address) of the native c++ object this Java object wrapper.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD